uuid: 6909971d-b780-4af3-967c-ae547d9e7926
langcode: en
status: true
dependencies:
  module:
    - commerce_payment
    - commerce_promotion
    - commerce_stripe
    - email_registration
id: materio_checkout_flow
label: 'materio checkout flow'
plugin: multistep_default
configuration:
  display_checkout_progress: true
  display_checkout_progress_breadcrumb_links: true
  panes:
    email_registration_login:
      allow_guest_checkout: true
      allow_registration: false
      step: _disabled
      weight: 8
    contact_information:
      double_entry: false
      step: order_information
      weight: 0
    payment_information:
      step: order_information
      weight: 1
    review:
      step: review
      weight: 2
    stripe_review:
      button_id: edit-actions-next
      step: review
      weight: 3
    payment_process:
      capture: true
      step: payment
      weight: 4
    completion_message:
      message:
        value: "Your order number is [commerce_order:order_number].\r\nYou can view your order on your account page when logged in."
        format: plain_text
      step: complete
      weight: 5
    order_summary:
      view: commerce_checkout_order_summary
      step: _sidebar
      weight: 6
    coupon_redemption:
      allow_multiple: false
      step: _sidebar
      weight: 7
    email_registration_completion_registration:
      step: _disabled
      weight: 9
    completion_register:
      step: _disabled
      weight: 10
    login:
      allow_guest_checkout: true
      allow_registration: false
      step: _disabled
      weight: 11
